summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorWilliam L. Thomson Jr <wlt@o-sinc.com>2016-02-21 19:07:00 -0500
committerJames Le Cuirot <chewi@gentoo.org>2016-02-22 10:29:47 +0000
commit75b71f8afb5e29d4a317f4e0c680c58676e167fe (patch)
tree0cd9dd90068170c129502612ec37539f40858e3a /eclass
parentdev-libs/urdfdom_headers: bump to 0.4.1 (diff)
downloadgentoo-75b71f8afb5e29d4a317f4e0c680c58676e167fe.tar.gz
gentoo-75b71f8afb5e29d4a317f4e0c680c58676e167fe.tar.bz2
gentoo-75b71f8afb5e29d4a317f4e0c680c58676e167fe.zip
eclass/java-utils-2.eclass: Added -r to xargs in java-pkg_addres
The -r option is necessary in case find does not output anything. Which makes the jar uf command fail. This has no effect otherwise and should be safe to add right away. It prevents potential issues/bug.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java-utils-2.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/java-utils-2.eclass b/eclass/java-utils-2.eclass
index 5be7e172c7d7..cb1c1d8b1301 100644
--- a/eclass/java-utils-2.eclass
+++ b/eclass/java-utils-2.eclass
@@ -262,7 +262,7 @@ java-pkg_addres() {
shift 2
pushd "${dir}" > /dev/null || die "pushd ${dir} failed"
- find -L -type f ! -path "./target/*" ! -path "./sources.lst" ! -name "MANIFEST.MF" ! -regex ".*\.\(class\|jar\|java\)" "${@}" -print0 | xargs -0 jar uf "${jar}" || die "jar failed"
+ find -L -type f ! -path "./target/*" ! -path "./sources.lst" ! -name "MANIFEST.MF" ! -regex ".*\.\(class\|jar\|java\)" "${@}" -print0 | xargs -r0 jar uf "${jar}" || die "jar failed"
popd > /dev/null || die "popd failed"
}